View Issue Details

IDProjectCategoryView StatusLast Update
0020854mantisbtperformancepublic2016-06-12 00:42
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020854: Plugin columns are always called to cache, even if not visible.
Description

On issues view/print/export, a call is made to all MantisColumn plugins to
cache the list of issues.
This call is made to all columns even if they are not part of the user's selected columns

TagsNo tags attached.

Related Changesets

MantisBT: master da3d2be7

2016-04-22 12:45:23

cproensa


Committer: dregad Details Diff
Only cache visible plugin columns

On issues view/print/export, a call is made to all MantisColumn plugin
objects to cache the list of issues.

This call is now done only for those columns that are part of the
user column selection.

Fixes 0020854

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - core/columns_api.php Diff File
mod - csv_export.php Diff File
mod - excel_xml_export.php Diff File
mod - print_all_bug_page.php Diff File
mod - view_all_inc.php Diff File

Issue History

Date Modified Username Field Change
2016-04-22 12:50 cproensa New Issue
2016-04-22 13:03 cproensa Note Added: 0053007
2016-04-23 18:27 vboctor Assigned To => cproensa
2016-04-23 18:27 vboctor Status new => assigned
2016-04-23 20:06 dregad Description Updated View Revisions
2016-04-26 06:51 dregad Changeset attached => MantisBT master da3d2be7
2016-04-26 06:51 dregad Assigned To cproensa => dregad
2016-04-26 06:51 dregad Status assigned => resolved
2016-04-26 06:51 dregad Resolution open => fixed
2016-04-26 06:51 dregad Fixed in Version => 1.3.0-rc.2
2016-04-26 06:51 dregad Assigned To dregad => cproensa
2016-04-26 06:51 dregad Target Version => 1.3.0-rc.2
2016-06-12 00:42 vboctor Status resolved => closed